package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.DeathRecordDoc;
import org.springframework.stereotype.Component;

/**
 * @Description: 无出院记录
 * @author: 胡敬
 * @time: 2020/3/27 15:15
 */
@Component
public class LEA0507 extends QCCatalogue {
    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        DeathRecordDoc deathRecordDoc = inputInfo.getDeathRecordDoc();
        if (deathRecordDoc == null || deathRecordDoc.getText() == null) {
            if (inputInfo.getLeaveHospitalDoc() == null) {
                status.set("-1");
            }
        }
    }
}